Subject: [dispatch] Progressing draft-holmberg-dispatch-rfc7315-updates as AD sponsored

From: Mary Barnes <[email-masked]>
Date: Mon, 7 Mar 2016 09:33:37 -0600

Hi folks,

This document has been proposed to be progressed as AD sponsored:
https://datatracker.ietf.org/doc/draft-holmberg-dispatch-rfc7315-updates/
The document has been carefully reviewed and it is now ready to move
forward - Jean Mahoney is the shepherd.

I don't anticipate anyone would have concerns about this decision, given
that's how RFC 7315 was progressed and this update has actually been much
more carefully reviewed.  However, f anyone has any final comments, please
post no later than Friday, March 11th, 2016.  Note, that you will also
still have IETF LC to provide any comments.

Regards,
Mary.

---

From: "A. Jean Mahoney" <[email-masked]>
Date: Mon, 7 Mar 2016 14:08:45 -0600

Since this draft updates RFC 7315, which required expert review of its 
header fields, Adam Roach will be conducting an expert review of this 
draft according to the guidance given in RFC 5727.

Thanks,

Jean

On 3/7/16 9:33 AM, Mary Barnes wrote:
> that's how RFC 7315 was progressed and this update has actually been
> much more carefully reviewed.  However, f anyone has any final comments,
> please post no later than Friday, March 11th, 2016.  Note, that you will
> also still have IETF LC to provide any comments.
>
> Regards,
> Mary.
>
>
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch
>

---

From: <[email-masked]>
Date: Wed, 9 Mar 2016 16:07:01 +0000

Hi,

I do support this draft to be progressed as AD sponsored.

However, I have the following comment: In section 4. I think it would be useful to add a table after the “new text” paragraph that summarize where the different header fields can appear as it was done in section 5.7 of RFC 3455.

Best Regards,
Marianne Mohali

De : dispatch [mailto:[email-masked]] De la part de Mary Barnes
Envoyé : lundi 7 mars 2016 16:34
À : DISPATCH
Objet : [dispatch] Progressing draft-holmberg-dispatch-rfc7315-updates as AD sponsored

Hi folks,

This document has been proposed to be progressed as AD sponsored:
https://datatracker.ietf.org/doc/draft-holmberg-dispatch-rfc7315-updates/
The document has been carefully reviewed and it is now ready to move forward - Jean Mahoney is the shepherd.

I don't anticipate anyone would have concerns about this decision, given that's how RFC 7315 was progressed and this update has actually been much more carefully reviewed.  However, f anyone has any final comments, please post no later than Friday, March 11th, 2016.  Note, that you will also still have IETF LC to provide any comments.

Regards,
Mary.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Georg Mayer <[email-masked]>
Date: Thu, 10 Mar 2016 10:19:17 +0100

Hello hello,

+1 for progressing this ad AD sponsored.

Cheers,
Georg

On 03/09/2016 05:07 PM, [email-masked] wrote:
> However, I have the following comment: In section 4. I think it would be
> useful to add a table after the “new text” paragraph that summarize
> where the different header fields can appear as it was done in section
> 5.7 of RFC 3455.
> 
>  
> 
> Best Regards,
> 
> Marianne Mohali
> 
>  
> 
> *De :*dispatch [mailto:[email-masked]] *De la part de* Mary
> Barnes
> *Envoyé :* lundi 7 mars 2016 16:34
> *À :* DISPATCH
> *Objet :* [dispatch] Progressing draft-holmberg-dispatch-rfc7315-updates
> as AD sponsored
> 
>  
> 
> Hi folks,
> 
>  
> 

-- 
Georg Mayer
3GPP CT Chairman
HUAWEI Technologies
Mobile: +43 699 1900 5758

---

From: "DOLLY, MARTIN C" <[email-masked]>
Date: Thu, 10 Mar 2016 09:24:19 +0000

I support

Martin C Dolly
Lead Member of Technical Staff
Core & Government/Regulatory Standards 
AT&T
Cell: 609-903-3360
Email: [email-masked]

> On Mar 10, 2016, at 4:20 AM, Georg Mayer <[email-masked]> wrote:
> 
> Hello hello,
>

---

From: "DOLLY, MARTIN C" <[email-masked]>
Date: Thu, 10 Mar 2016 10:08:01 +0000

+1

Martin C Dolly

---

From: "A. Jean Mahoney" <[email-masked]>
Date: Thu, 10 Mar 2016 10:19:55 -0600

Hi Marianne,

> where the different header fields can appear as it was done in section

The table in 5.7 of RFC 3455 was an extension of Table 2 in RFC 3261, 
and for a while all SIP drafts that specified new header fields built on 
Table 2. After discussion at IETF 77, there was consensus that it would 
be better to describe the use of header fields in prose rather than in 
table format:

http://www.ietf.org/proceedings/10mar/minutes/sipcore.html#SIP%20Table%202%20/%203

RFC 7315 removed the table. Now, its prose didn't capture everything 
that was in the table, which is what this draft is fixing. However, 
prose is still a better way to define the use of header fields than 
extending Table 2.

Thanks,

Jean

---

From: Andrew Allen <[email-masked]>
Date: Thu, 10 Mar 2016 19:26:56 +0000

+1 from me too

Sent from my BlackBerry 10 smartphone.
  Original Message
From: Georg Mayer
Sent: Thursday, March 10, 2016 10:19
To: DISPATCH
Subject: Re: [dispatch] Progressing draft-holmberg-dispatch-rfc7315-updates as AD sponsored

Hello hello,

Cheers,
Georg

---

From: "Drage, Keith (Nokia - GB)" <[email-masked]>
Date: Fri, 11 Mar 2016 01:55:59 +0000

Agree strongly.

One of the issues (and there were others) is that the table mechanism required some form of extension every time a new method was identified. Text allows a much more broad brush categorization of methods (e.g. "any request that creates a dialog", "a request or response within a dialog" etc.) such that this does not need to happen.

I'd note that we were heading in this direction considerably earlier than IETF 77.

Keith

-----Original Message-----
From: dispatch [mailto:[email-masked]] On Behalf Of EXT A. Jean Mahoney
Sent: 10 March 2016 16:20
To: [email-masked]; DISPATCH
Subject: Re: [dispatch] Progressing draft-holmberg-dispatch-rfc7315-updates as AD sponsored

Hi Marianne,

On 3/9/16 10:07 AM, [email-masked] wrote:
> However, I have the following comment: In section 4. I think it would 
> be useful to add a table after the "new text" paragraph that summarize 

The table in 5.7 of RFC 3455 was an extension of Table 2 in RFC 3261, and for a while all SIP drafts that specified new header fields built on Table 2. After discussion at IETF 77, there was consensus that it would be better to describe the use of header fields in prose rather than in table format:

RFC 7315 removed the table. Now, its prose didn't capture everything that was in the table, which is what this draft is fixing. However, prose is still a better way to define the use of header fields than extending Table 2.

Thanks,

Jean

> Barnes *Envoyé :* lundi 7 mars 2016 16:34 *À :* DISPATCH *Objet :* 
> [dispatch] Progressing draft-holmberg-dispatch-rfc7315-updates
> as AD sponsored
>
> Hi folks,
>
> I don't anticipate anyone would have concerns about this decision, 
> given that's how RFC 7315 was progressed and this update has actually 
> been much more carefully reviewed.  However, f anyone has any final 
> comments, please post no later than Friday, March 11th, 2016.  Note, 
> that you will also still have IETF LC to provide any comments.
>
> Regards,
>
> Mary.
>
> ______________________________________________________________________
> ___________________________________________________
>
> Ce message et ses pieces jointes peuvent contenir des informations 
> confidentielles ou privilegiees et ne doivent donc pas etre diffuses, 
> exploites ou copies sans autorisation. Si vous avez recu ce message 
> par erreur, veuillez le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration, Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.
>
> This message and its attachments may contain confidential or 
> privileged information that may be protected by law; they should not be distributed, used or copied without authorisation.

---

From: <[email-masked]>
Date: Fri, 11 Mar 2016 09:24:44 +0000

Hi Jean,

Thank you for your answer. 
I thought that there was a discussion about that...
It is not easy to have a quick view of the headers usage but indeed, prose is more accurate.

Best Regards,
Marianne

-----Message d'origine-----
De : A. Jean Mahoney [mailto:[email-masked]] 
Envoyé : jeudi 10 mars 2016 17:20
À : MOHALI Marianne IMT/OLN; DISPATCH
Objet : Re: [dispatch] Progressing draft-holmberg-dispatch-rfc7315-updates as AD sponsored

Hi Marianne,

Thanks,

Jean

---

From: Shida Schubert <[email-masked]>
Date: Sun, 13 Mar 2016 15:43:35 -0700

+1 from me to progress this as AD sponsored as well.

Shida

> On Mar 10, 2016, at 11:26 AM, Andrew Allen <[email-masked]> wrote:
> 
> +1 from me too
>